Summary: A database access API for perl
Name: perl-DBI
Version: 1.14
Release: 11ml
Copyright: distributable
Group: Applications/CPAN
Source: DBI-1.14.tar.gz
Patch0: perl-DBI-1.14-tmpfix.patch
Url: http://www.cpan.org
BuildRoot: %{_tmppath}/%{name}-%{version}-root
Requires: perl >= 5.6.0-3

%description 

DBI is a database access Application Programming Interface (API) for
the Perl Language. The DBI API Specification defines a set of
functions, variables and conventions that provide a consistent
database interface independent of the actual database being used.

# Provide perl-specific find-{provides,requires}.
%define __find_provides /usr/lib/rpm/find-provides.perl
%define __find_requires /usr/lib/rpm/find-requires.perl

%prep
%setup -q -n DBI-%{version} 
%patch -p1 -b .tmp

%build
CFLAGS="$RPM_OPT_FLAGS" perl Makefile.PL
make

%clean 
rm -rf $RPM_BUILD_ROOT

%install
rm -rf $RPM_BUILD_ROOT
eval `perl '-V:installarchlib'`
eval `perl '-V:installsitearch'`
mkdir -p $RPM_BUILD_ROOT/$installarchlib
make PREFIX=$RPM_BUILD_ROOT/usr install

find $RPM_BUILD_ROOT \( -name perllocal.pod -o -name .packlist -o -name '*.orig' \) -exec rm -fv {} \;

rm -f $RPM_BUILD_ROOT/$installarchlib/perllocal.pod
rm -f $RPM_BUILD_ROOT/$installsitearch/auto/DBI/.packlist
rm -f $RPM_BUILD_ROOT/$installsitearch/auto/DBI/DBI.bs


%files 
%defattr(-,root,root)
%doc Changes README ToDo
/usr/lib/perl5/site_perl/5.6.0/*/*.pm
/usr/lib/perl5/site_perl/5.6.0/*/auto/DBI
/usr/lib/perl5/site_perl/5.6.0/*/DBD
/usr/lib/perl5/site_perl/5.6.0/*/DBI
/usr/lib/perl5/site_perl/5.6.0/*/Bundle/DBI.pm
/usr/lib/perl5/site_perl/5.6.0/*/Win32/*
/usr/bin/*
%{_mandir}/*/*

%changelog
* Wed Jun 20 2007 Tetsuya Morimoto <tmorimoto@miraclelinux.com>
- 1.14-11ml applied a fix for CVE-2005-0077

* Tue Feb 27 2001 Trond Eivind Glomsrd <teg@redhat.com>
- Cleanups

* Thu Nov 30 2000 Trond Eivind Glomsrd <teg@redhat.com>
- build for main distribution
- use %%{_tmppath}
- change name of specfile
- don't use a find script to generate file lists
- general cleanup
- add descriptive summary and description


* Mon Aug 14 2000 Tim Powers <timp@redhat.com>
- Spec file was autogenerated. 
